package com.yeejoin.amos.boot.biz.common.annotation;

import java.lang.annotation.*;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
@Documented
public @interface TechnicalParameter {
    String key();

    String label();

    ParamType type();

    enum ParamType {
        STRING, INTEGER, FLOAT, BIG_DECIMAL, BOOLEAN
    }

}
